%define anolis_release 2
Name: tepl
Version: 6.4.0
Release: %{anolis_release}%{?dist}
Summary: Text editor product line
License: LGPLv3+
URL: https://gitlab.gnome.org/swilmet/tepl
Source0: https://download.gnome.org/sources/tepl/6.4/tepl-%{version}.tar.xz
BuildRequires: gcc
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: meson >= 0.53
BuildRequires: pkgconfig(amtk-5) >= 5.0
BuildRequires: pkgconfig(gio-2.0) >= 2.62
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gsettings-desktop-schemas)
BuildRequires: pkgconfig(gtk+-3.0) >= 3.22
BuildRequires: pkgconfig(gtksourceview-4)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(icu-i18n)

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
This package contains documentation for %{name}.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang tepl-6

%files -f tepl-6.lang
%license LICENSES/*
%{_libdir}/girepository-1.0/Tepl-6.typelib
%{_libdir}/libtepl-6.so.2{,.*}

%files doc
%doc NEWS README.md

%files devel
%doc %{_datadir}/gtk-doc/html/tepl-6/
%{_includedir}/tepl-6/
%{_libdir}/libtepl-6.so
%{_libdir}/pkgconfig/tepl-6.pc
%{_datadir}/gir-1.0/Tepl-6.gir

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 6.4.0-2
- Rebuild for remove inappropriate build dependencies.

* Sun Apr 30 2023 Funda Wang <fundawang@yeah.net> - 6.4.0-1
- Import package for anolis 23
